Package org.bukkit.event.inventory

# Class BrewEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.inventory.BrewEvent

All Implemented Interfaces:
  `Cancellable`

public class BrewEvent extends BlockEvent implements Cancellable
Called when the brewing of the contents inside the Brewing Stand is complete.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BrewEvent(@NotNull Block brewer, @NotNull BrewerInventory contents, @NotNull List<ItemStack> results, int fuelLevel)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull BrewerInventory`
`getContents()`
Gets the contents of the Brewing Stand.
`int`
`getFuelLevel()`
Gets the remaining fuel level.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull List<ItemStack>`
`getResults()`
Gets the resulting items in the Brewing Stand.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BrewEvent

public BrewEvent(@NotNull @NotNull Block brewer, @NotNull @NotNull BrewerInventory contents, @NotNull @NotNull List<ItemStack> results, int fuelLevel)

## Method Details

### getContents

@NotNull public @NotNull BrewerInventory getContents()
Gets the contents of the Brewing Stand. Note: The brewer inventory still holds the items found prior to the finalization of the brewing process, e.g. the plain water bottles.

Returns:
  the contents

### getFuelLevel

public int getFuelLevel()
Gets the remaining fuel level.

Returns:
  the remaining fuel

### getResults

@NotNull public @NotNull List<ItemStack> getResults()
Gets the resulting items in the Brewing Stand. The returned list, in case of a server-created event instance, is mutable. Any changes in the returned list will reflect in the brewing result if the event is not cancelled. If the size of the list is reduced, remaining items will be set to air.

Returns:
  List of `ItemStack` resulting for this operation

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()